package com.jeeplus.modules.sg.picking.activiti.entity;

import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 导出实体类
 */
public class CapitalExport {
    //编号
    private String erpNumber;
    //wbs
    private String projectWbsNumber;
    //单体工程名称
    private String projectName;
    //WBS元素编码
    private String wbsNumber;
    //WBS描述
    private String wbsDescription;
    //设备序号
    private String deviceSerialNumber;
    //非安装设备标识
    private String identification;
    //建筑及线路资产标识
    private String buildLines;
    //建筑及设备名称
    private String nameOfBuilding;
    //型号规格
    private String modelSpecification;
    //设备类型
    private String equipmentType;
    //SAP物料编码
    private String sapMaterialCode;
    //SAP物料扩展编码
    private String sapExtensionCode;
    //单位
    private String company;
    //数量
    private String number;
    //概算价格
    private String estimatedPrice;
    //需求日期
    private String demandDate;
    //交货地点及交货方式
    private String deliveryPlace;
    //需求计划备注
    private String demandPlan;
    //需求部门
    private String demandDepartment;
    //申请人
    private String applicant;
    //电话号码
    private String phoneNumber;
    //前期厂家
    private String previousManufacturers;
    //自行采购标识
    private String selfPurchaseIdentification;
    //特殊采购标识
    private String specialPurchaseIdentification;
    //使用环境
    private String useEnvironment;
    //合同草稿号
    private String contractNo;
    //合同草稿行项目号
    private String itemNo;
    //电商平台技术规范书ID
    private String idOfCommerce;

    @ExcelField(title="编号", align=2, sort=1)
    public String getErpNumber() {
        return erpNumber;
    }

    public void setErpNumber(String erpNumber) {
        this.erpNumber = erpNumber;
    }

    @ExcelField(title="单体工程WBS编码", align=2, sort=2)
    public String getProjectWbsNumber() {
        return projectWbsNumber;
    }

    public void setProjectWbsNumber(String projectWbsNumber) {
        this.projectWbsNumber = projectWbsNumber;
    }

    @ExcelField(title="单体工程名称", align=2, sort=3)
    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    @ExcelField(title="WBS元素编码", align=2, sort=4)
    public String getWbsNumber() {
        return wbsNumber;
    }

    public void setWbsNumber(String wbsNumber) {
        this.wbsNumber = wbsNumber;
    }

    @ExcelField(title="WBS描述", align=2, sort=5)
    public String getWbsDescription() {
        return wbsDescription;
    }

    public void setWbsDescription(String wbsDescription) {
        this.wbsDescription = wbsDescription;
    }

    @ExcelField(title="设备序号", align=2, sort=6)
    public String getDeviceSerialNumber() {
        return deviceSerialNumber;
    }

    public void setDeviceSerialNumber(String deviceSerialNumber) {
        this.deviceSerialNumber = deviceSerialNumber;
    }

    @ExcelField(title="非安装设备标识", align=2, sort=7)
    public String getIdentification() {
        return identification;
    }

    public void setIdentification(String identification) {
        this.identification = identification;
    }

    @ExcelField(title="建筑及线路资产标识", align=2, sort=8)
    public String getBuildLines() {
        return buildLines;
    }

    public void setBuildLines(String buildLines) {
        this.buildLines = buildLines;
    }

    @ExcelField(title="建筑及设备名称", align=2, sort=9)
    public String getNameOfBuilding() {
        return nameOfBuilding;
    }

    public void setNameOfBuilding(String nameOfBuilding) {
        this.nameOfBuilding = nameOfBuilding;
    }

    @ExcelField(title="型号规格", align=2, sort=10)
    public String getModelSpecification() {
        return modelSpecification;
    }

    public void setModelSpecification(String modelSpecification) {
        this.modelSpecification = modelSpecification;
    }

    @ExcelField(title="设备类型", align=2, sort=11)
    public String getEquipmentType() {
        return equipmentType;
    }

    public void setEquipmentType(String equipmentType) {
        this.equipmentType = equipmentType;
    }

    @ExcelField(title="SAP物料编码", align=2, sort=12)
    public String getSapMaterialCode() {
        return sapMaterialCode;
    }

    public void setSapMaterialCode(String sapMaterialCode) {
        this.sapMaterialCode = sapMaterialCode;
    }

    @ExcelField(title="SAP物料扩展编码", align=2, sort=13)
    public String getSapExtensionCode() {
        return sapExtensionCode;
    }

    public void setSapExtensionCode(String sapExtensionCode) {
        this.sapExtensionCode = sapExtensionCode;
    }

    @ExcelField(title="单位", align=2, sort=14)
    public String getCompany() {
        return company;
    }

    public void setCompany(String company) {
        this.company = company;
    }

    @ExcelField(title="数量", align=2, sort=15)
    public String getNumber() {
        return number;
    }

    public void setNumber(String number) {
        this.number = number;
    }

    @ExcelField(title="概算价格", align=2, sort=16)
    public String getEstimatedPrice() {
        return estimatedPrice;
    }

    public void setEstimatedPrice(String estimatedPrice) {
        this.estimatedPrice = estimatedPrice;
    }

    @ExcelField(title="需求日期", align=2, sort=17)
    public String getDemandDate() {
        return demandDate;
    }

    public void setDemandDate(String demandDate) {
        this.demandDate = demandDate;
    }

    @ExcelField(title="交货地点及交货方式", align=2, sort=18)
    public String getDeliveryPlace() {
        return deliveryPlace;
    }

    public void setDeliveryPlace(String deliveryPlace) {
        this.deliveryPlace = deliveryPlace;
    }

    @ExcelField(title="需求计划备注", align=2, sort=19)
    public String getDemandPlan() {
        return demandPlan;
    }

    public void setDemandPlan(String demandPlan) {
        this.demandPlan = demandPlan;
    }

    @ExcelField(title="需求部门", align=2, sort=20)
    public String getDemandDepartment() {
        return demandDepartment;
    }

    public void setDemandDepartment(String demandDepartment) {
        this.demandDepartment = demandDepartment;
    }

    @ExcelField(title="申请人", align=2, sort=21)
    public String getApplicant() {
        return applicant;
    }

    public void setApplicant(String applicant) {
        this.applicant = applicant;
    }

    @ExcelField(title="电话号码", align=2, sort=22)
    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    @ExcelField(title="前期厂家", align=2, sort=23)
    public String getPreviousManufacturers() {
        return previousManufacturers;
    }

    public void setPreviousManufacturers(String previousManufacturers) {
        this.previousManufacturers = previousManufacturers;
    }

    @ExcelField(title="自行采购标识", align=2, sort=24)
    public String getSelfPurchaseIdentification() {
        return selfPurchaseIdentification;
    }

    public void setSelfPurchaseIdentification(String selfPurchaseIdentification) {
        this.selfPurchaseIdentification = selfPurchaseIdentification;
    }

    @ExcelField(title="特殊采购标识", align=2, sort=25)
    public String getSpecialPurchaseIdentification() {
        return specialPurchaseIdentification;
    }

    public void setSpecialPurchaseIdentification(String specialPurchaseIdentification) {
        this.specialPurchaseIdentification = specialPurchaseIdentification;
    }

    @ExcelField(title="使用环境", align=2, sort=26)
    public String getUseEnvironment() {
        return useEnvironment;
    }

    public void setUseEnvironment(String useEnvironment) {
        this.useEnvironment = useEnvironment;
    }

    @ExcelField(title="合同草稿号", align=2, sort=27)
    public String getContractNo() {
        return contractNo;
    }

    public void setContractNo(String contractNo) {
        this.contractNo = contractNo;
    }

    @ExcelField(title="合同草稿行项目号", align=2, sort=28)
    public String getItemNo() {
        return itemNo;
    }

    public void setItemNo(String itemNo) {
        this.itemNo = itemNo;
    }

    @ExcelField(title="电商平台技术规范书ID", align=2, sort=29)
    public String getIdOfCommerce() {
        return idOfCommerce;
    }

    public void setIdOfCommerce(String idOfCommerce) {
        this.idOfCommerce = idOfCommerce;
    }
}
